Rated 5 out of 5 stars

To the one who says it's not compatible with Firefox 3.1 beta 1. It's compatible for 3.1b2pre so yes it is compatible with beta 1. Your browser settings must be set wrong or you just got a bad install.

projectjukebox.com

This review is for a previous version of the add-on (2.0.2).